cURL
curl --request POST \
--url https://api.comm.com/api/v1/voice/agents/test-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_number": 123,
"to_number": 123,
"prompt": "<string>",
"agent_id": "<string>",
"greeting_message": "<string>",
"tools": [
"<string>"
],
"voice_id": "<string>",
"language": "<string>"
}
'import requests
url = "https://api.comm.com/api/v1/voice/agents/test-call"
payload = {
"from_number": 123,
"to_number": 123,
"prompt": "<string>",
"agent_id": "<string>",
"greeting_message": "<string>",
"tools": ["<string>"],
"voice_id": "<string>",
"language": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_number: 123,
to_number: 123,
prompt: '<string>',
agent_id: '<string>',
greeting_message: '<string>',
tools: ['<string>'],
voice_id: '<string>',
language: '<string>'
})
};
fetch('https://api.comm.com/api/v1/voice/agents/test-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"call_id": "<string>"
}
}{
"message": "Greeting message is required when start_with_greeting is enabled."
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"error": "No available slots for calls. Please wait for current calls to complete."
}{
"error": "Failed to create call"
}Agents
Post v1voiceagentstest call
POST
/
v1
/
voice
/
agents
/
test-call
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Show child attributes
Show child attributes
⌘I